Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.exec.environment
Class OpenVmsProcessingEnvironment

    java.lang.Object
      org.apache.commons.exec.environment.DefaultProcessingEnvironment
          org.apache.commons.exec.environment.OpenVmsProcessingEnvironment

    public class OpenVmsProcessingEnvironment

extends DefaultProcessingEnvironment

Helper class to determine the environment variable for VMS.

Field Summary

Fields inherited from class org.apache.commons.exec.environment.DefaultProcessingEnvironment
`procEnvironment`

Constructor Summary
`OpenVmsProcessingEnvironment()`

Method Summary
`protected Map` | `createProcEnvironment()` Find the list of environment variables for this process.
`protected CommandLine` | `getProcEnvCommand()` Determine the OS specific command line to get a list of environment variables.

Methods inherited from class org.apache.commons.exec.environment.DefaultProcessingEnvironment
`getProcEnvironment, runProcEnvCommand`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenVmsProcessingEnvironment

    public OpenVmsProcessingEnvironment()

Method Detail

### createProcEnvironment

    protected Map createProcEnvironment()
                                 throws IOException

  Find the list of environment variables for this process.

  Overrides:
    `createProcEnvironment` in class `DefaultProcessingEnvironment`
  Returns:
    a amp containing the environment variables
  Throws:
    `IOException` - the operation failed

### getProcEnvCommand

    protected CommandLine getProcEnvCommand()

  Determine the OS specific command line to get a list of environment variables.

  Overrides:
    `getProcEnvCommand` in class `DefaultProcessingEnvironment`
  Returns:
    the command line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 The Apache Software Foundation. All Rights Reserved.